> For the complete documentation index, see [llms.txt](https://docs.firefly.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.firefly.ai/integrations/notifications/webex.md).

# Webex

Firefly integrates with Webex to provide seamless communication and notification capabilities. This integration enables teams to receive infrastructure alerts, policy violations, and other critical events directly in their Webex spaces.

## Prerequisites

* A Webex account with administrative access.
* Appropriate permissions to create integrations.
* Access to Firefly's integration settings.

## Setup Procedure

1. Install the Firefly Webex integration:
   * Visit [Webex authorization page](https://webexapis.com/v1/authorize?client_id=C90f66d933b7fd81e478c983f02f007a5f132ff053d289badb2f822af3d71344b\&response_type=code\&redirect_uri=https://app.firefly.ai/integrations/webex-integration\&scope=spark%3Amemberships_read%20spark%3Akms%20spark%3Arooms_read%20spark%3Amemberships_write) to authorize the integration.
   * Select **Accept** to authorize the integration.
2. In Firefly, click **Settings > Integrations**.
3. Click **Add New > Webex**.
4. Enter a descriptive name in the **Nickname** field.
5. (Optional) Create a new label for better organization.
6. Click **Next**.
7. Click **Done**.

## Features Enabled

* **Direct Messaging**: Send notifications to specific Webex users.
* **Space Notifications**: Post alerts to designated Webex spaces.
* **Rich Message Formatting**: Enhanced message formatting for better readability.
* **Team Collaboration**: Enable team-wide communication about infrastructure events.
* **Real-time Updates**: Instant notification delivery.

> **Note:** In the integration settings page, use the notifcation test button to test the integration.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.firefly.ai/integrations/notifications/webex.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
